// pages/operIsp/detail.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ispId: '',
    result: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      ispId: options.ispId
    })
    this.getDetail()
  },

  //详情
  getDetail() {
    let params = {
      ispId: this.data.ispId
    }
    utils.axios({
      method: 'get',
      url: '/auth/isp/info/findDetail',
      data: params,
      sendBefore() {
        wx.showNavigationBarLoading()
      },
      complete() {
        wx.hideNavigationBarLoading()
      },
      success: res => {
        this.setData({
          result: res.data
        })
      }
    })
  },

  //修改手机号码
  toMobile() {
    let user = wx.getStorageSync('userInfo')
    if (user.roleNames.indexOf('运营商管理者') > -1) {
      wx.navigateTo({
        url: '/pages/operIsp/mobile?ispId=' + this.data.ispId
      })
    } else {
      utils.toast('您不是运营商管理者，没有操作权限')
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})